Package org.opensaml.saml.saml2.core

# Interface EncryptedElementType

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Subinterfaces:
  `EncryptedAssertion`, `EncryptedAttribute`, `EncryptedID`, `NewEncryptedID`

All Known Implementing Classes:
  `EncryptedAssertionImpl`, `EncryptedAttributeImpl`, `EncryptedElementTypeImpl`, `EncryptedIDImpl`, `NewEncryptedIDImpl`

public interface EncryptedElementType extends SAMLObject
SAML 2.0 Core EncryptedElementType.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`EncryptedData`
`getEncryptedData()`
Get the EncryptedData child element.
`List<EncryptedKey>`
`getEncryptedKeys()`
A list of EncryptedKey child elements.
`void`
`setEncryptedData(EncryptedData newEncryptedData)`
Set the EncryptedData child element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getEncryptedData

@Nullable EncryptedData getEncryptedData()
Get the EncryptedData child element.

Returns:
  the EncryptedData child element

### setEncryptedData

void setEncryptedData(@Nullable EncryptedData newEncryptedData)
Set the EncryptedData child element.

Parameters:
  `newEncryptedData` - the new EncryptedData child element

### getEncryptedKeys

@Nonnull @Live List<EncryptedKey> getEncryptedKeys()
A list of EncryptedKey child elements.

Returns:
  a list of EncryptedKey child elements